Subject: Re :[rfc2462bis] what is the stateful configuration protocol

From: PARK SOO HONG <[email-masked]>
Date: Tue, 13 Apr 2004 14:24:12 +0000 (GMT)

I second 1+X.

AFAIC, from the beginning, this draft explicitly

considered DHCPv6 (though it was not RFC)
as a stateful
mechanism.

"Stateful autoconfiguration is described in
[DHCPv6]."
wrote in RFC1971, Aug. 1996.

Daniel (Soohong Daniel Park)

Mobile Platform Laboratory. SAMSUNG Electronics

------- Original Message -------
Sender : JINMEI Tatuya / ????<[email-masked]> [email-masked]
Date : Apr 13, 2004 22:53
Title : [rfc2462bis] what is the stateful configuration protocol
Regarding issue 277 of rfc2462bis (Semantics of M/O flags), one

controversial issue is how clearly we should specify the stateful

address configuration protocol.

The question actually consists of the following two sub-questions:

Question A: how should rfc2462bis specify the stateful protocol?

possible answers:

1. clearly say that stateful address configuration is DHCPv6

2. (intentionally) do not say anything about this, and (implicitly

or explicitly) leave it to the node requirements document

Question B: which references should rfc2462bis have on this matter?

possible answers:

X. add an informative reference to RFC3315

Y. add an informative reference to node-req

Z. add informative references to both RFC3315 and node-req

W. do not add any references for this issue (neither RFC3315 nor node-req)

Opinions vary through the discussion on the mailing list.  The

followings are main of them I've seen:

Ralph Droms seems to prefer "1+X".

http://www1.ietf.org/mail-archive/working-groups/ipv6/current/msg01941.html

John Loughney agreed with Ralph (though he did not show strong opinion

of his own).

http://www1.ietf.org/mail-archive/working-groups/ipv6/current/msg01940.html

Bernie Volz also seems to prefer "1+X".

http://www1.ietf.org/mail-archive/working-groups/ipv6/current/msg01912.html

Dave Thaler seems to prefer "2+X" or "2+W".

http://www1.ietf.org/mail-archive/working-groups/ipv6/current/msg01918.html

I personally do not have a strong opinion, but we need to move forward

on this anyway.  If I need to make a choice, I'd also agree with

Ralph.  In fact, I don't see why we cannot be clear on this after the

publication of RFC3315.

Perhaps we might want to leave possibilities of future extensions

(including different "stateful" protocols than DHCPv6) by being

unclear.  But is this really a feasible reason?

On the other hand, if we keep being unclear, future readers will keep

wondering what is actually the stateful protocol or whether it's

just enough to implement DHCPv6, etc.  Even though the node

requirement document would be able answer the question, they'll have

to reach the document by themselves if we take Dave's suggestion.

Is there any other reason for not being clear on this (i.e., not

clearly say the stateful protocol is DHCPv6)?  Or is this just a

matter of preference?

Again, I myself can live with any resolution as long as we can move

forward.  So, any productive comments or suggestions are welcome.

Thanks,

JINMEI, Tatuya

Communication Platform Lab.

Corporate R&D Center, Toshiba Corp.

[email-masked]

--------------------------------------------------------------------

IETF IPv6 working group mailing list

[email-masked]

Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6

--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "S. Daniel Park" <[email-masked]>
Date: Tue, 13 Apr 2004 23:56:48 +0900

I second 1+X.

as a stateful mechanism.

"Stateful autoconfiguration is described in [DHCPv6]."
wrote in RFC1971, Aug. 1996.

- Daniel (Soohong Daniel Park)
- Mobile Platform Laboratory, Samsung Electronics.

---

From: "Soliman Hesham" <[email-masked]>
Date: Wed, 14 Apr 2004 13:35:57 -0400

Hi Ralph, 

 > I suggest dropping "stateful" from the description because 
 > of the potential
 > for confusion inherent in providing a "stateful protocol for *other*
 > configurations" with "stateless DHCPv6" [RFC 3736].

=> I don't find the words "stateful" and "stateless" confusing
at all in this context. I think we should keep these words
in the RFC. They're meaningful and accurate IMHO. 

 > 
 > This confusion arises from the unfortunate decision to differentiate
 > RFC 2462 address assignment from DHCP-based address assignment by
 > designating the former "stateless" and the latter "stateful".  That
 > difference is more accurately captured in RFC 2461bis by 
 > describing RFC 2462
 > address assignment as autonomous.  But, "stateless address
 > autoconfiguration" is the accepted phrase with wide 
 > dissemination at this
 > point...

=> Both "autonomous" and "stateless" are meaningful descriptions
of this process of address config. 

 > In any event, perhaps the best way to simplify the protocol 
 > would be to drop
 > the "O" bit altogether.  That is, make no attempt to control 
 > how a host goes
 > about finding the additional configuration information.  
 > There was a brief
 > discussion about this issue at an IPv6 WG interim meeting 
 > (Aug 2002?).  If
 > I remember correctly, and at the risk of over-simplification, the
 > point of the discussion was that, if I'm a network 
 > administrator, under what
 > circumstances would I ever want to set the 'O' bit so that a 
 > device does not
 > use all available mechanisms to obtain other configuration 
 > information?

=> I find it difficult to agree with statements that 
use "never". If the function is already implemented and
interoperable, I don't see any reason for removing it
unless it's harmful. I don't see any harm in this.

Given the immaturity of IPv6 deployment, I don't
think we should make categorical decisions about 
what administrators might do. 

FWIW I think (1) and X are good ways to go 
(in Jinmei's email).

Hesham 

 > 
 > - Ralph
 > 
 > At 01:20 PM 4/14/2004 +0200, Iljitsch van Beijnum wrote:
 > >On 14-apr-04, at 12:48, Ralph Droms wrote:
 > >
 > >>I think DHCPv6 ought to be cited as the protocol for other 
 > configuration
 > >>information, as well.
 > >
 > >>However, it seems to me the phrase "stateful protocol for *other*
 > >>configurations" is a little misleading.  I think the word 
 > "stateful" could
 > >>be dropped.
 > >
 > >And terminally confuse everyone who has ever read RFC2462?
 > >
 > >It seems to me that having one bit to indicate the protocol 
 > to be used for 
 > >configuration isn't all that much. Why not expand both 
 > fields to 4 bits, 
 > >and then have the IANA maintain a registry? This could look 
 > something like:
 > >
 > >0000        = RA
 > >0001 - 0111 = TBD, fall back on RA (extra bits could be 
 > ignored as per 
 > >RFC2641)
 > >1000        = DHCPv6, handling of RA undefined
 > >1001        = DHCPv6, RA is ignored
 > >1010        = DHCPv6 + RA
 > >1011 - 1111 = TBD
 > 
 > 

========================================================
This email may contain confidential and privileged material for the sole
use of the intended recipient.  Any review or distribution by others is 
strictly prohibited.  If you are not the intended recipient please contact
the sender and delete all copies.
========================================================